Status summary

Counts the caller’s shipping integration orders by unified status. | () -> (ShippingIntegrationOrderStatusSummaryRes)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

filter_shipping_integrationenumOptional

Filter by shipping integration(s)

filter_provider_org_idstringOptional

Filter by provider org ID(s)

filter_statusenumOptional

Filter by unified status(es)

Allowed values:
filter_integration_order_idstringOptional
Filter by the provider's exact order ID
filter_reference_numberstringOptional
Filter by an exact reference number carried on the order
filter_ordered_at_timestamp_gtedatetimeOptional

Filter ordered_at_timestamp >= value

filter_ordered_at_timestamp_ltedatetimeOptional

Filter ordered_at_timestamp <= value

filter_completed_at_timestamp_gtedatetimeOptional

Filter completed_at_timestamp >= value

filter_completed_at_timestamp_ltedatetimeOptional

Filter completed_at_timestamp <= value

filter_last_mirrored_at_timestamp_gtedatetimeOptional

Filter last_mirrored_at_timestamp >= value

filter_last_mirrored_at_timestamp_ltedatetimeOptional

Filter last_mirrored_at_timestamp <= value

filter_first_mirrored_at_timestamp_gtedatetimeOptional

Filter first_mirrored_at_timestamp >= value

filter_first_mirrored_at_timestamp_ltedatetimeOptional

Filter first_mirrored_at_timestamp <= value

Response

Successful Response
cancelled_countinteger
completed_countinteger
exception_countinteger
in_progress_countinteger
staged_countinteger
total_countinteger

Errors

422
Orders Status Summary V1request Unprocessable Entity Error